FINDMNT(8)

BEZEICHNUNG
findmnt - Ein Dateisystem finden

ÜBERSICHT

findmnt [Optionen]

findmnt [Optionen] Gerät|Einhängepunkt

findmnt [Optionen] [--source] Gerät [--target Pfad|--mountpoint Einhängepunkt]

BESCHREIBUNG

findmnt listet alle eingehängten Dateisysteme auf oder sucht nach einem Dateisystem. Der Befehl findmnt kann in /etc/fstab, /etc/mtab oder /proc/self/mountinfo suchen. Falls kein Gerät oder Einhängepunkt angegeben wird, werden alle Dateisysteme angezeigt.

Das Gerät kann anhand des Gerätenamens, der Major:Minor-Nummern, der Dateisystembezeichnung oder -UUID oder der Partitionsbezeichnung oder -UUID angegeben werden. Beachten Sie, dass findmnt dem Verhalten von mount(8) folgt, bei dem ein Gerätename als Einhängepunkt interpretiert werden kann (und umgekehrt ein Einhängepunkt als Gerätename), wenn die Optionen --target, --mountpoint oder --source nicht angegeben sind.

Die Befehlszeilenoption --target akzeptiert jede Datei oder jedes Verzeichnis und findmnt zeigt das Dateisystem für den angegebenen Pfad an.

Der Befehl gibt standardmäßig alle eingehängten Dateisysteme in einer Baumansicht aus. Die Standardausgabe kann sich ändern. Daher sollten Sie vermeiden, die Standardausgabe in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie in Umgebungen, wo eine stabile Ausgabe erforderlich ist, stets die erwarteten Spalten, indem Sie die Option --output Spaltenliste angeben.

Die Beziehung zwischen blockorientierten Geräten und Dateisystemen ist nicht immer 1:1. Das Dateisystem kann mehrere blockorientierte Geräte verwenden. Deshalb stellt findmnt die Spalten SOURCE und SOURCES (Plural) bereit. Die Spalte SOURCES zeigt alle Geräte mit der gleichen Dateisystem-UUID (oder bei der Ausführung mit --fstab und --evaluate mit einer anderweitigen in der fstab-Datei definierten Markierung) an.

OPTIONEN

-A, --all
    deaktiviert alle eingebauten Filter und gibt alle Dateisysteme aus.

-a, --ascii
    verwendet ASCII-Zeichen für die Formatierung der Baumansicht.

-b, --bytes
    gibt die Größe in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden Größen in Einheiten angezeigt, die Potenzen von 1024 Bytes sind. Die formalen Abkürzungen für diese Einheiten (KiB, MiB, GiB usw.) werden weiter auf den Anfangsbuchstaben verkürzt: K, M, G usw.

-C, --nocanonicalize
    kanonisiert die Pfade nicht. Diese Option beeinflusst den Vergleich von Pfaden und die Auswertung von Markierungen (LABEL, UUID, usw.).

-c, --canonicalize
    kanonisiert alle ausgegebenen Pfade.

-D, --df
    imitiert die Ausgabe von df(1). Diese Option ist gleichbedeutend mit -o SOURCE,FSTYPE,SIZE,USED,AVAIL,USE%,TARGET, schließt aber alle Pseudo-Dateisysteme aus. Verwenden Sie --all, um alle Dateisysteme anzuzeigen. Siehe auch die Optionen -I, --dfi.

-d, --direction Wort
    gibt die Suchrichtung an, entweder forward (vorwärts) oder backward (rückwärts).

-e, --evaluate
    wandelt alle Markierungen (LABEL, UUID, PARTUUID oder PARTLABEL) in die korrespondierenden Gerätenamen für die SOURCE-Spalte um. Das ist zwar ein unüblicher Fall, aber damit kann eine Markierung dupliziert werden (um sie für weitere Geräte zu verwenden). Diesem Zweck dient die Spalte SOURCES. Diese Spalte zeigt in mehrzeiligen Zellen alle Geräte an, deren Markierung von Libblkid erkannt wurde. Diese Option ist nur für fstab sinnvoll.

-F, --tab-file Pfad
    sucht in einer alternativen Datei. Wenn diese Option mit --fstab, --mtab oder --kernel verwendet wird, werden die Standardpfade außer Kraft gesetzt. Wenn dies mehrmals angegeben wird, ist die Baumansicht deaktiviert (siehe die Option --list).

-f, --first-only
    gibt nur das erste passende Dateisystem aus.

-H, --list-columns
    listet die Spalten auf,die mit der Option --output angegeben werden können. Wenn Sie dies zusammen mit --json oder --raw verwenden, wird die Liste in einem maschinenlesbaren Format angezeigt.

--hyperlink[=wann]
    gibt Pfade als Terminal-Hyperlinks aus. Das optionale Argument wann kann auf »always«, »never« oder »auto« gesetzt werden. Falls das Argument fehlt, ist »auto« die Vorgabe. Die Einstellung »auto« bedeutet, dass Hyperlinks nur dann verwendet werden, wenn die Ausgabe auf einem Terminal erfolgt.

-I, --dfi
    imitiert die Ausgabe von df(1) mit dessen Option -i. Diese Option ist gleichbedeutend mit -o SOURCE,FSTYPE,INO.TOTAL,INO.USED,INO.AVAIL,INO.USE%,TARGET, schließt aber alle Pseudo-Dateisysteme aus. Verwenden Sie --all, um alle Dateisysteme anzuzeigen.

-i, --invert
    kehrt die Suchlogik um.

--id Zahl
    wählt ein Dateisystem anhand der Einhängeknoten-ID.

--uniq-id Zahl
    wählt ein Dateisystem anhand der 64-bit-Einhängeknoten-ID; zu verwenden mit der Option --kernel=listmount.

-J, --json
    verwendet das JSON-Ausgabeformat.

-k, --kernel[=Methode]
    liest Informationen über Dateisysteme aus dem Kernel. Dies ist die Vorgabe. Die Ausgabe erfolgt in einer Baumansicht und enthält nur Einhängeoptionen, die vom Kernel verwaltet werden (siehe auch --mtab).

    Das optionale Argument Methode wird nur für die lange Variante (--kernel) unterstützt. Die kurze Variante (-k) verwendet standardmäßig die Methode mountinfo aus Gründen der Abwärtskompatibilität. Folgende Methoden werden unterstützt:

        • mountpoint – dies ist die Vorgabemethode; sie liest Daten aus der Datei /proc/self/mountinfo.

        • listmount – dies ist eine EXPERIMENTELLE Methode, welche die Systemaufrufe listmount(2) und statmount(2) zum Erzeugen der Einhängetabelle verwendet. Die Ausgabe könnte nicht alle Details über Einhängeknoten enthalten (beispielsweise fehlt derzeit noch SOURCES).

-l, --list
    formatiert die Ausgabe als Liste. Dieses Ausgabeformat ist automatisch aktiviert, wenn die Ausgabe durch die Optionen -t, -O, -S oder -T eingeschränkt ist und die Option --submounts nicht verwendet wird oder mehr als eine Quelldatei (mit der Option -F) angegeben wird.

-M, --mountpoint Pfad
    definiert explizit die Einhängepunkt-Datei oder das Einhängepunkt-Verzeichnis. Siehe auch --target.

-m, --mtab
    sucht in /etc/mtab. Die Ausgabe wird standardmäßig als Liste formatiert (siehe --tree). Die Ausgabe kann weitere Einhängeoptionen auf Anwendungsebene enthalten.

-N, --task Threadkennung
    verwendet anstelle des vorgegebenen /proc/self/mountinfo den alternativen Namensraum /proc/<Threadkennung>/mountinfo. Wenn diese Option mehr als einmal angegeben wird, dann wird die Baumansicht deaktiviert (siehe die Option --list). Siehe auch den Befehl unshare(1).

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-O, --options Liste
    begrenzt die Gruppe der ausgegebenen Dateisysteme. Mehrere Optionen können in einer durch Kommata getrennten Liste angegeben werden. Die Optionen -t und -O wirken kumulativ. Im Gegensatz zu -t wird jede Option für sich ausgewertet; ein vorangestelltes no wirkt sich nicht global aus. Das no kann für individuelle Listeneinträge verwendet werden; dessen Interpretation kann mit dem Präfix »+« deaktiviert werden.

-o, --output Liste
    legt die Ausgabespalten fest. In der Ausgabe von --help wird eine Liste der verfügbaren Spalten angezeigt. Die Spalte TARGET wird als Baum formatiert, falls die Optionen --list oder --raw nicht angegeben werden.

    Die Standardliste der Spalten kann erweitert werden, wenn die Liste im Format +Liste (z.B. findmnt -o +PROPAGATION) vorliegt.

--output-all
    gibt fast alle verfügbaren Spalten aus. Die Spalten, welche --poll erfordern, werden nicht angezeigt.

-P, --pairs
    gibt die Daten in Form von Schlüssel="Wert"-Paaren aus. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<code>). Siehe auch die Option --shell.

    Beachten Sie, dass die Spalte QUELLEN mehrzeilige Tabellenzellen verwendet. In diesen Fällen wird die Ausgabe Array-artig formatiert, zum Beispiel Name=("aaa" "bbb" "ccc").

-p, --poll[=Liste]
    überwacht Änderungen in der Datei /proc/self/mountinfo. Dabei werden die Aktionen »mount«, »umount«, »remount« und »move« unterstützt. Mehrere Aktionen können in Form einer durch Kommata getrennten Liste angegeben werden. Standardmäßig werden alle Aktionen überwacht.

    Die mit --poll angegebene Sperrzeit kann mit den Optionen --timeout oder --first-only eingeschränkt werden.

    Die Standardspalten verwenden stets die neue Version der Information aus der »mountinfo«-Datei, außer die »umount«-Aktion, die auf der von findmnt zwischengespeicherten Originalinformation basiert. Der Poll-Modus ermöglicht die Verwendung zusätzlicher Spalten:

    ACTION
        gibt einen der Aktionsnamen »mount«, »umount«, »move« oder »remount« an. Diese Spalte ist standardmäßig aktiviert.

    OLD-TARGET
        ist für die Aktionen »umount« und »move« verfügbar.

    OLD-OPTIONS
        ist für die Aktionen »umount« und »remount« verfügbar.

--pseudo
    gibt nur Pseudo-Dateisysteme aus.

-Q, --filter Ausdruck
    gibt nur Dateisysteme aus, die den in dem Ausdruck angegebenen Bedingungen entsprechen.

    Dieses Funktionsmerkmal ist EXPERIMENTELL. Siehe auch scols-filter(5). Beispielsweise wollen Sie Xfs-Dateisysteme anzeigen, die mehr als 50% freien Platz haben:

        findmnt -Q 'INO.USED < INO.AVAIL && FSTYPE == "xfs"'

-R, --submounts
    gibt rekursiv alle Untereinhängungen für die ausgewählten Dateisysteme aus. Die durch die Optionen -t, -O, -S, -T und direction definierten Einschränkungen werden nicht auf die Untereinhängungen angewendet. Alle Untereinhängungen werden immer in einer Baumstruktur ausgegeben. Die Option aktiviert standardmäßig die Ausgabe in einer Baumstruktur. Diese Option ist mit --mtab oder --fstab wirkungslos.

-r, --raw
    verwendet das Rohformat für die Ausgabe. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<code>).

    Beachten Sie, dass die Spalte QUELLEN mehrzeilige Tabellenzellen verwendet. In diesen Fällen kann die Spalte mehrere Zeichenketten in der selben Zeile anzeigen.

--real
    gibt nur reale Dateisysteme aus.

-S, --source Quelle
    definiert explizit die Quelle der Einhängung. Dabei werden die Angaben Gerät, maj:min, LABEL=Bezeichnung, UUID=UUID, PARTLABEL=Bezeichnung und PARTUUID=UUID unterstützt.

-s, --fstab
    sucht in /etc/fstab. Die Ausgabe wird als Liste formatiert (siehe --list).

--shadowed
    gibt nur Dateisysteme aus, die Übereinhängungen anderer Dateisysteme sind.

-T, --target Pfad
    definiert das Ziel der Einhängung. Falls der Pfad keine Einhängepunktdatei oder -verzeichnis ist, dann wertet findmnt die Pfad-Elemente in umgekehrter Reihenfolge aus, um den Einhängepunkt zu ermitteln (diese Funktion wird nur beim Suchen in Kernel-Dateien unterstützt, nicht jedoch für --fstab). Es wird empfohlen, die Option --mountpoint zu verwenden, wenn die Pfad-Elemente nicht ausgewertet werden sollen und der Pfad ein strikt angegebener Einhängepunkt ist.

-t, --types Liste
    begrenzt die Gruppe der ausgegebenen Dateisysteme. Sie können mehrere Typen in einer durch Kommata getrennten Liste angeben. Der Liste der Dateisystemtypen kann ein no vorangestellt werden, um die Dateisysteme zu bezeichnen, für die keine Aktion ausgeführt werden soll. Für weitere Details siehe mount(8).

--tree
    aktiviert die Baumansicht, falls möglich. Diese Option wird bei Tabellen stillschweigend ignoriert, in denen die Eltern-Kind-Relation fehlt (beispielsweise fstab).

-U, --uniq
    ignoriert Dateisysteme mit doppelten Einhängezielen, daher werden übereingehängte (overmounted) Einhängepunkte wirkungsvoll übergangen.

-u, --notruncate
    kürzt den Text in den Spalten nicht. Standardmäßig werden die Spalten TARGET, SOURCE, UUID, LABEL, PARTUUID und PARTLABEL nicht gekürzt. Diese Option deaktiviert die Textkürzung auch in allen anderen Spalten.

-v, --nofsroot
    gibt kein [/Verzeichnis] in der Spalte SOURCE für Bind-Einhängungen oder Btrfs-Teildatenträger aus.

--verbose
    bewirkt, dass findmnt mehr Informationen ausgibt (derzeit nur --verify).

--vfs-all
    gibt alle VFS- (dateisystemunabhängigen) Flags aus, wenn dies mit der Spalte VFS-OPTIONS verwendet wird. Diese Option dient Prüfzwecken, damit auch standardmäßige VFS-Kernel-Einhängeoptionen aufgelistet werden, die normalerweise nicht aufgelistet werden würden.

-w, --timeout Millisekunden
    gibt eine obere Grenze der Zeitspanne in Millisekunden an, für die --poll blockiert.

-x, --verify
    überprüft den Inhalt der Einhängetabelle. Standardmäßig wird die Auswertbarkeit und Verwendbarkeit der Datei /etc/fstab überprüft. Sie können diese Option auch mit --tab-file verwenden. Außerdem können Sie eine Quelle (Gerät) oder ein Ziel (Einhängepunkt) angeben, um die Einhängetabelle zu filtern. Die Option --verbose bewirkt, dass die Ausgaben von findmnt ausführlicher werden.

-y, --shell
    Der Spaltenname wird so geändert, dass er nur Zeichen enthält, die als Shell-Variablenbezeichner genutzt werden können. Dies ist beispielsweise nützlich mit --pairs. Beachten Sie, dass diese Funktion für --pairs in Version 2.37 automatisch aktiviert wurde, dass es nun aber aus Kompatibilitätsgründen erforderlich ist, dieses Verhalten durch --shell anzufordern.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

Der Rückgabewert ist 0, wenn irgendetwas angezeigt werden kann, oder 1 bei einem Fehler (zum Beispiel falls anhand der vom Benutzer angegebenen Filter kein Dateisystem gefunden werden konnte oder der Gerätepfad oder der Einhängepunkt nicht existiert.

UMGEBUNGSVARIABLEN

LIBMOUNT_FSTAB=<Pfad>
    setzt den standardmäßigen Ort der Datei fstab außer Kraft.

LIBMOUNT_MTAB=<Pfad>
    setzt den standardmäßigen Ort der Datei mtab außer Kraft.

LIBMOUNT_DEBUG=all
    aktiviert die Fehlersuch-Ausgabe von Libmount.

LIBSMARTCOLS_DEBUG=all
    aktiviert die Debug-Ausgabe für libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    verwendet sichtbare Auffüllzeichen.

BEISPIELE

findmnt --fstab -t nfs
    gibt alle in /etc/fstab definierten NFS-Dateisysteme aus.

findmnt --fstab /mnt/foo
    gibt alle in der Datei /etc/fstab aufgeführten Dateisysteme aus, deren Einhängepunktverzeichnis /mnt/foo ist. Außerdem werden Bind-Einhängungen ausgegeben, deren Quelle /mnt/foo ist.

findmnt --fstab --target /mnt/foo
    gibt alle in der Datei /etc/fstab aufgeführten Dateisysteme aus, deren Einhängepunktverzeichnis /mnt/foo ist.

findmnt --fstab --evaluate
    gibt alle in der Datei /etc/fstab aufgeführten Dateisysteme aus und wandelt die Markierungen LABEL= und UUID= in die echten Gerätenamen um.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    gibt nur den Einhängepunkt aus, in dem das Dateisystem mit der Bezeichnung »/boot« eingehängt ist.

findmnt --poll --mountpoint /mnt/foo
    überwacht Einhängungen, Aushängungen, erneute Einhängungen und Verschiebungen von /mnt/foo.

findmnt --poll=umount --first-only --mountpoint /mnt/foo
    wartet auf das Aushängen von /mnt/foo.

findmnt --poll=remount -t ext3 -O ro
    überwacht erneutes Einhängen im schreibgeschützten Modus aller Ext3-Dateisysteme.

AUTOREN

SIEHE AUCH

fstab(5), mount(8) scols-filter(5)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl findmnt ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.